org.apache.hadoop.yarn.api.records

## Class NodeAttributeKey

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.NodeAttributeKey

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class NodeAttributeKey
      extends Object

  Node AttributeKey uniquely identifies a given Node Attribute. Node Attribute is identified based on attribute prefix and name.

  Node Attribute Prefix is used as namespace to segregate the attributes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeAttributeKey()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getAttributeName()`
    `abstract String` | `getAttributePrefix()`
    `static NodeAttributeKey` | `newInstance(String attributeName)`
    `static NodeAttributeKey` | `newInstance(String attributePrefix, String attributeName)`
    `abstract void` | `setAttributeName(String attributeName)`
    `abstract void` | `setAttributePrefix(String attributePrefix)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeAttributeKey

          public NodeAttributeKey()

  - ### Method Detail

    - #### newInstance

          public static NodeAttributeKey newInstance(String attributeName)

    - #### newInstance

          public static NodeAttributeKey newInstance(String attributePrefix,
                                                     String attributeName)

    - #### getAttributePrefix

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract String getAttributePrefix()

    - #### setAttributePrefix

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setAttributePrefix(String attributePrefix)

    - #### getAttributeName

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract String getAttributeName()

    - #### setAttributeName

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setAttributeName(String attributeName)

Copyright © 2022 Apache Software Foundation. All rights reserved.